## OobsIfacePlip

OobsIfacePlip — Object that represents an individual Plip interface

## Functions

const gchar * | oobs_iface_plip_get_address ()
void | oobs_iface_plip_set_address ()
const gchar * | oobs_iface_plip_get_remote_address ()
void | oobs_iface_plip_set_remote_address ()

## Properties

char * | address | Read / Write
char * | remote-address | Read / Write

## Object Hierarchy

        GObject
        ╰── OobsIface
            ╰── OobsIfacePlip

## Description

## Functions

### oobs_iface_plip_get_address ()

    const gchar *
    oobs_iface_plip_get_address (OobsIfacePlip *iface);

Returns the local IP address for the interface.

#### Parameters

iface | An OobsIfacePlip. |

#### Returns

A pointer to the local IP address as a string. This string must not be freed, modified or stored.

### oobs_iface_plip_set_address ()

    void
    oobs_iface_plip_set_address (OobsIfacePlip *iface,
                                 const gchar *address);

Sets a new local IP address for the interface, overwriting the previous one.

#### Parameters

iface | An OobsIfacePlip. |
address | a new local IP address for the interface. |

### oobs_iface_plip_get_remote_address ()

    const gchar *
    oobs_iface_plip_get_remote_address (OobsIfacePlip *iface);

Returns the remote IP address for the interface.

#### Parameters

iface | An OobsIfacePlip. |

#### Returns

A pointer to the remote IP address as a string. This string must not be freed, modified or stored.

### oobs_iface_plip_set_remote_address ()

    void
    oobs_iface_plip_set_remote_address (OobsIfacePlip *iface,
                                        const gchar *address);

Sets a new remote IP address for the interface, overwriting the previous one.

#### Parameters

iface | An OobsIfacePlip. |
address | a new remote IP address for the interface. |

## Property Details

### The `“address”` property

      “address”                  char *

Address for the iface.

Owner: OobsIfacePlip

Flags: Read / Write

Default value: NULL

### The `“remote-address”` property

      “remote-address”           char *

Remote address for the iface.

Owner: OobsIfacePlip

Flags: Read / Write

Default value: NULL

## See Also

OobsIface, OobsIfacesConfig, OobsIfaceEthernet, OobsIfaceIRLan, OobsIfacePPP, OobsIfaceWireless